Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xpath.expr
Class Relational

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.xpath.expr.Expr
              org.basex.query.xpath.expr.Arr
                  org.basex.query.xpath.expr.Cmp
                      org.basex.query.xpath.expr.Relational

    public final class Relational

extends Cmp

XPath Relational Expression. Can express: LESS (<) LESS_OR_EQUALS (<=) GREATER (>) GREATER_OR_EQUALS (>=)

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Tim Petrowsky

Field Summary

Fields inherited from class org.basex.query.xpath.expr.Cmp
`type`

Fields inherited from class org.basex.query.xpath.expr.Arr
`expr`

Constructor Summary
`Relational(Expr e1, Expr e2, Comp t)` Constructor.

Method Summary
`boolean` | `sameAs(Expr cmp)` Checks current and specified expression for equivalence.

Methods inherited from class org.basex.query.xpath.expr.Cmp
`comp, eval, plan, standard, toString`

Methods inherited from class org.basex.query.xpath.expr.Arr
`usesPos, usesSize`

Methods inherited from class org.basex.query.xpath.expr.Expr
`indexEquivalent, indexSizes, returnedValue`

Methods inherited from class org.basex.query.ExprInfo
`color, info, name`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Relational

    public Relational(Expr e1,
                      Expr e2,
                      Comp t)

  Constructor.

  Parameters:
    `e1` - first expression
    `e2` - second expression to be compared with
    `t` - see class description

Method Detail

### sameAs

    public boolean sameAs(Expr cmp)

  Description copied from class: `Expr`
  Checks current and specified expression for equivalence.

  Overrides:
    `sameAs` in class `Arr`
  Parameters:
    `cmp` - expression to be compared
  Returns:
    result of check

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD